# Use Gaze Detection

You can apply gaze detection to frames in a video. The Roboflow Video Inference API will return the data you need to calculate the direction in which someone is looking and the point at which someone is looking.

[Learn more about post-processing gaze detection results](https://blog.roboflow.com/gaze-direction-position/).

### Use Gaze Detection with the Video Inference API

First, install the Roboflow Python package:

```bash
pip install roboflow
```

Next, create a new Python file and add the following code:

```python
from roboflow import Roboflow, GazeModel

rf = Roboflow(api_key="API_KEY")
model = GazeModel()

job_id, signed_url, expire_time = model.predict_video(
    "football-video.mp4",
    fps=5,
    prediction_type="batch-video",
)

results = model.poll_until_video_results(job_id)

print(results)
```

Above, replace:

* `API_KEY`: with your Roboflow API key
* `PROJECT_NAME`: with your Roboflow project ID.
* `MODEL_ID`: with your Roboflow model ID.

[Learn how to retrieve your API key](https://docs.roboflow.com/api-reference/authentication#retrieve-an-api-key).

[Learn how to retrieve a model ID](https://docs.roboflow.com/api-reference/workspace-and-project-ids).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roboflow.com/deploy/serverless/video-inference/use-gaze-detection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
